GET /v3/languages?resource=translate_document and look for the formality feature key on the target language. Possible options are:
GET /v3/languages?resource=translate_document and verify the glossary feature key is present on both the source and target language.
GET /v3/languages?resource=write.
+
The language of the source texts sent in the `text` parameter must match the target language (translating and improving text simultaneously is not yet supported).
Note that it is possible to convert text from one variant to another within a language. For example, if American English is sent in an API request with `target_lang` set to `EN-GB`, the submitted text will be improved and also converted to British English.
@@ -111,6 +113,8 @@ curl -X POST 'https://api.deepl.com/v2/write/rephrase' \
Styles prefixed with `prefer_` will fall back to the `default` style when used with a language that does not support styles (this is recommended for cases where no `target_lang` is set), the non-prefixed writing styles (except `default`) will return a HTTP 400 error in that case.
It’s not possible to include both `writing_style` and `tone` in a request; only one or the other can be included.
+
+ To check writing style support dynamically, call GET /v3/languages?resource=write and look for the writing_style feature key on the target language.
GET /v3/languages?resource=write and look for the tone feature key on the target language.
DE (German), FR (French), IT (Italian), ES (Spanish), ES-419 (Latin American Spanish), NL (Dutch), PL (Polish), PT-BR and PT-PT (Portuguese), JA (Japanese), and RU (Russian). Learn more about the plain/polite feature for Japanese ↗️.
+ Sets whether the translated text should lean towards formal or informal language. This feature currently only works for target languages DE (German), FR (French), IT (Italian), ES (Spanish), ES-419 (Latin American Spanish), NL (Dutch), PL (Polish), PT-BR and PT-PT (Portuguese), JA (Japanese), and RU (Russian). Learn more about the plain/polite feature for Japanese ↗️. To check formality support dynamically, call GET /v3/languages?resource=translate_text and look for the formality feature key on the target language.
Setting this parameter with a target language that does not support formality will fail, unless one of the prefer_... options are used. Possible options are:
source_lang parameter to be set and the language pair of the glossary has to match the language pair of the request.
GET /v3/languages?resource=translate_text and verify the glossary feature key is present on both the source and target language.
GET /v3/languages?resource=translate_text and check for the style_rules feature key on the target language.
For example: "billed_characters": 42
billed_characters in the API response by default, at which point it will be necessary to set show_billed_characters to false in order for an API response not to include billed_characters. We will notify users in advance of making this change.
-
+
For requests sent as URL-encoded forms, boolean values should be specified as "1" or "0".
xml: Enable XML tag handling; see XML handling.html: Enable HTML tag handling; see HTML handling.GET /v3/languages?resource=translate_text and check the tag_handling feature key is present on both the source and target language.